<?php
error_reporting(0);
include_once('db.inc.php');

function PrintSelect($table, $field) {
	$mydb = new db();
	if ($table=="kk_megye")
	{
		$stmt = "SELECT * FROM $table ORDER BY ssz ASC";
	}
	else
	{
		$stmt = "SELECT * FROM $table ORDER BY nev ASC";
	}
	$result=$mydb->query($stmt);

	printf("<select name=$field>\n");
	printf("<option value=0>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>\n");

	while (($row = mysql_fetch_object($result))){
		printf("<option value=\"%s\">%s</option>\n", $row->id, stripslashes($row->nev));	
	}

	printf("</select>\n");

}

function helyihiba($msg){
		include('headerjel.inc.php');
	printf("<h5>Hiba!</h5><p>%s", $msg);
	include('footerjel.inc.php');
	exit();


}


function get_spec_data($table, $field, $key) {
	$mydb = new db();
	$stmt="select $field from $table where id='$key'";
	$result=$mydb->query($stmt);
	while ($row = mysql_fetch_object($result)){
		return $row->$field;
	}
}




if ($round==2){

	$mydb = new db();
	$stmt="SELECT serialized FROM kk_f_sessions WHERE sid='$sid'";
	$result=$mydb->query($stmt);

	while ($row = mysql_fetch_object($result)) {
	$data=unserialize(base64_decode($row->serialized));

			function jelek($valt)
			{
				$v=stripslashes($valt);
				$vis=strtr($v,"'\"","´´");
				return $vis;
			}
		if ($data[munkavegzes_hely1]==1 && $data[munkavegzes_hely2]==1)	$munkavegzes_hely=3;
		if ($data[munkavegzes_hely1]==1 && !$data[munkavegzes_hely2])	$munkavegzes_hely=1;
		if (!$data[munkavegzes_hely1] && $data[munkavegzes_hely2]==1)	$munkavegzes_hely=2;
		if ($data[bizonylat_atadas1]==1 && $data[bizonylat_atadas2]==1)	$bizonylat_atadas=3;
		if ($data[bizonylat_atadas1]==1 && !$data[bizonylat_atadas2])	$bizonylat_atadas=1;
		if (!$data[bizonylat_atadas1] && $data[bizonylat_atadas2]==1)	$bizonylat_atadas=2;
		$stmt = "INSERT INTO kk_tag(datum_1, nev, irsz, telepules, utca, megye, telefon, fax, email, web, referenciak, szolgaltatas, specialitas, szla_tip, szla_nev, szla_irsz, szla_telepules, szla_cim, szla_kon, kategoria_1, kategoria_2, kategoria_3, kategoria_4, kategoria_5, kategoria_6, kategoria_7, kategoria_8, kategoria_9, elfogadva, hirlevel, megye2, megye3, post_nev, post_irsz, post_telepules, post_cim, jelszo,datum_2,munkavegzes_hely,bizonylat_atadas,ip) VALUES('$data[datum_1]', '".jelek($data[nev])."', '$data[irsz]', '".jelek($data[telepules])."', '$data[utca]', '$data[megye]', '$data[telefon]', '$data[fax]', '$data[email]', '$data[web]', '".jelek($data[referenciak])."', '".jelek($data[szolgaltatas])."', '".jelek($data[specialitas])."', '$data[szla_tip]', '".jelek($data[szla_nev])."', '$data[szla_irsz]', '$data[szla_telepules]', '$data[szla_cim]', '$data[szla_kon]', '$data[kategoria_1]', '$data[kategoria_2]', '$data[kategoria_3]', '$data[kategoria_4]', '$data[kategoria_5]', '$data[kategoria_6]', '$data[kategoria_7]', '$data[kategoria_8]', '$data[kategoria_9]', '$data[elfogadva]', '$data[hirlevel]', '$data[megye2]', '$data[megye3]', '".jelek($data[post_nev])."', '$data[post_irsz]', '$data[post_telepules]', '$data[post_cim]', '$data[jelszo]','".date("Y-m-d")."','$munkavegzes_hely','$bizonylat_atadas','".$REMOTE_ADDR."')";
		$result2=$mydb->query($stmt);

		$stmt="DELETE FROM f_sessions WHERE sid='$sid'";
		$result2=$mydb->query($stmt);
	}


	//mail a szerkesztonek

	$to="info@konyvel.net";
	$subject="uj jelentkezes a szaknevsorba - konyvel.net";
	$message=$data[nev] ."(". $data[email] .")\n";
	$xtra="X-Mailer: PL-PHP/" . phpversion();

	//printf("%s<BR>%s<BR>%s<BR>%s<BR>%s<BR>", $to, $subject, $message, $xtra, $stmt);
	mail($to, $subject, $message, $xtra);

    //mail az uj tagnak
	$subject="Konyvel.net - Jelentkezés visszaigazolása";

   $message = sprintf("Megrendelés visszaigazolása\n%s\n\nTisztelt Ügyfelünk!\n\nA MÉDIA ONLINE mint szolgáltató ezúton igazolja vissza az Ön jelentkezését a Könyvelő Kereső szaknévsorba.\n\nSzolgáltató: MÉDIA ONLINE Bt. (1074 Budapest, Dob u. 61.)\nSzolgáltatás: szaknévsori megjelenés 6 hónap vagy 12 hónap időtartamra\n\nBruttó szolgáltatási díj: félévre 6020 Ft, egy évre 11 430 Ft\nA tagdíj befizetésekor Ön dönti el, hogy féléves vagy egyéves tagdíjat fizet.\n\nHa a tagdíj befizetésére a banki átutalást választja, kérjük, utalja az összeget az alábbi bankszámlára:\n\nKedvezményezett neve: MÉDIA ONLINE Bt.\nSzámlaszám: OTP 11711041-29902798\nKözlemény: \"konyvel.net\" + a regisztrációs lapon megadott szaknévsori név\n\nFigyelem! Amennyiben Ön a készpénzes befizetést választja, úgy javasoljuk, hogy a tagdíjat a fenti bankszámlára OTP bankfiókban fizesse be, így a tagdíj - a postán történő befizetés közel 5 munkanapos feldolgozási idejével ellentétben - 1-2 munkanapon belül megérkezik szerkesztőségünkhöz. Banki utalás esetén az átfutási idő szintén 1-2 munkanap.\n\nA regisztráció során megadott adatok a szolgáltatási díj megérkezését követően megjelennek a szaknévsorban. Erről e-mailben tájékoztatjuk Önt, valamint e-mailben megküldjük a szolgáltatási díjról kiállított elektronikus számlát.\n\nHa módosítani szeretne a szaknévsorban megjelenő, illetve számlázási adatain, kérjük, e-mail címével és jelszavával lépjen be a Könyvelő Kereső adatmódosító oldalára.\n\nKiegészítő szolgáltatásként - ha Ön igényli - a tagság ideje alatt hírlevelet küldünk a weboldalon ajánlatkérés formájában feladott munkalehetőségekről.\n\nÜdvözlettel:\n\nMÉDIA ONLINE\nSzolgáltató\n\nTelefon: (+361) 215-5005\nInternet: www.konyvel.net\nE-mail: info@konyvel.net", date("Y. m. d."));

   //$message = sprintf("Megrendelés visszaigazolása\n%s\n\nTisztelt Ügyfelünk!\n\nA MÉDIA ONLINE mint szolgáltató ezúton igazolja vissza a szaknévsorban Ön által feladott megrendelést.\n\nSzolgáltató: MÉDIA ONLINE Bt. (1117 Budapest, Móricz Zs. körtér 16.)\nSzolgáltatás: szaknévsori megjelenés 6+3 hónap időtartamra\nSzolgáltatási díj (féléves tagdíj + 3 hónap ajándék): 5700 Ft (4750 Ft + 20%% ÁFA)\n\nHa Ön a csekkes tagdíjfizetési módot választotta, a szaknévsor féléves tagdíjáról kiállított csekket postán küldjük.\n\nHa a féléves tagdíj befizetésére a banki átutalást választotta, kérjük, utalja az összeget az alábbi bankszámlára:\n\nKedvezményezett neve: MÉDIA ONLINE Bt.\nSzámlaszám: OTP 11711041-29902798\nKözlemény: \"konyvel.net\" + a regisztrációs lapon megadott szaknévsori név\n\nHa nem biztos benne, melyik fizetési módot jelölte meg a regisztrációs lapon, kérjük, kérdezzen rá az info@konyvel.net e-mail címen.\n\nA regisztráció során megadott adatok a szolgáltatási díj befizetését követően - a postai, illetve banki átfutási időtől függően néhány napon belül - megjelennek a szaknévsorban. Erről e-mailben tájékoztatjuk Önt, valamint postázzuk a szolgáltatási díjról kiállított számlát. Kiegészítő szolgáltatásként - ha Ön jelentkezésekor megrendelte - a tagság ideje alatt hírlevelet küldünk a weboldalon ajánlatkérés formájában feladott munkalehetőségekről.\n\nÜdvözlettel:\n\nMÉDIA ONLINE\nSzolgáltató\n\nSzerkesztőség: 1061 Budapest, Káldy Gy. u. 4.\nTelefon: (30) 331-0073\nInternet: www.konyvel.net\nE-mail: info@konyvel.net", date("Y. m. d."));


	$xtra="Content-type: text/plain; charset=iso-8859-2\nFrom: info@konyvel.net\r\nReply-To: info@konyvel.net\r\nX-Priority: 3\nX-Mailer: PL-PHP/" . phpversion();

	mail($data[email], $subject, $message, $xtra);




	
	include('header.inc.php');?>
	
<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Regisztráció: jelentkezés a szaknévsorba</p>
	<?php
printf("<p><B>A jelentkezési lap kitöltése sikeres volt.</B></p><p>A regisztráció megtörténtét hamarosan e-mailben is visszaigazoljuk Önnek. A megadott adatok a tagdíj befizetését követően - a postai, illetve banki átfutási időtől függően néhány napon belül - megjelennek a szaknévsorban.<br/><br/>További kérdéseivel kapcsolatban <a href=\"impresszum.php\">munkatársaink</a> készséggel állnak rendelkezésére.</p><p><b>Fontos tudnivaló a levelezés beállításáról<br></b>Kérjük, hogy levelezőrendszerében már most végezze el a szükséges beállításokat: engedélyezze az automatikus levelek (az <b>info@konyvel.net</b> esetében a visszaigazoló e-mailek és a könyvelési munkaajánlatokról szóló hírlevelek) fogadását, ellenkező esetben előfordulhat, hogy a leveleink az Ön 
levélszemét mappájába érkeznek.</p>
");
?>
 </td>
              </tr>
            </table> 	
	
	<?php
include('footer.inc.php');


}elseif($round==1){

	if ($jelszo=="" || $nev=="" || $irsz=="" || $telepules=="" || $utca==""  || $megye=="" || $szolgaltatas=="" || $kategoria_1=="" || $telefon=="" || $email=="" || $szla_tip=="" || $szla_nev=="" || $szla_irsz=="" || $szla_telepules=="" || $szla_cim=="" || $post_nev=="" || $post_irsz=="" || $post_telepules=="" || $post_cim=="" || $szla_kon=="" || ($munkavegzes_hely1=="" && $munkavegzes_hely2=="") || ($bizonylat_atadas1=="" && $bizonylat_atadas2=="")) {
		helyihiba("<p>Kérjük, hogy töltsön ki minden olyan mezőt, amely piros csillaggal van jelölve. A javításhoz használja a 'Vissza' gombot!</p>");
	}
	if ($jelszo) {
		if ($jelszo<>$jelszo_ism)
				helyihiba("<p>A két jelszónak meg kell egyeznie. A javításhoz használja a 'Vissza' gombot!</p>");
	}

	if (strtolower($elfogadva) != 'on') {
		helyihiba("<p>A sikeres regisztrációhoz el kell fogadnia a feltételeket! A javításhoz használja a 'Vissza' gombot!</p>");	
	}



	// html kódok leugranak
	while (list($key, $val) = each($_POST)) {
		if ($key<>"Submit" && $key<>"round"){
			$data[$key]=strip_tags($val);
		}
	}
	$data["datum_1"]=date('Y-m-d');

	// beiras a sessiontablaba
	$serialized = base64_encode(serialize($data));

	mt_srand((double)microtime()*1000000);
	$randval = mt_rand();
	$sid=md5($randval);

	$stmt="INSERT INTO kk_f_sessions (sid, serialized) VALUES('$sid', '$serialized')";

	$mydb = new db();
	$result=$mydb->query($stmt);

				function jelek($valt)
			{
				$v=stripslashes($valt);
				$vis=strtr($v,"'\"","´´");
				return $vis;
			}

	// a megjeleniteshez nem kellenek a vedo karakterek
	while (list($key, $val) = each($_POST)) {
		$data[$key]=jelek($val);
	}

	include('header.inc.php');
	
	include('tag.form2.inc.php');
	include('footer.inc.php');
} else {
	include('header.inc.php');
	include('tag.form.inc.php');
	include('footer.inc.php');
}
?>
